> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overlay.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Create wallet

> Create an API-issued wallet.



## OpenAPI

````yaml /openapi.yaml post /wallets
openapi: 3.1.0
info:
  title: Overlay API
  version: 0.1.0
  description: API for issuing wallets, tokens, and NFTs on Solana and EVM networks.
servers:
  - url: https://overlay.fun
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: wallets
    x-group: Wallets
    description: Create and inspect wallets.
  - name: tokens
    x-group: Tokens
    description: Create and operate fungible tokens.
  - name: nfts
    x-group: NFTs
    description: Create NFT collections and mint NFTs.
paths:
  /wallets:
    post:
      tags:
        - wallets
      summary: Create wallet
      description: >-
        Creates an API-issued wallet. The secret key is returned once and is not
        stored in the database.
      operationId: createWallet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWalletRequest'
            examples:
              solana:
                summary: Solana wallet
                value:
                  network: solana
      responses:
        '200':
          description: Wallet created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWalletResponse'
              examples:
                success:
                  value:
                    success: true
                    data:
                      network: solana
                      public_key: example_solana_public_key
                      secret_key: example_solana_secret_key
                    message: Wallet created successfully
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    CreateWalletRequest:
      type: object
      required:
        - network
      properties:
        network:
          $ref: '#/components/schemas/Network'
    CreateWalletResponse:
      type: object
      required:
        - success
        - data
        - message
      properties:
        success:
          type: boolean
        data:
          type: object
          required:
            - network
            - public_key
            - secret_key
          properties:
            network:
              $ref: '#/components/schemas/Network'
            public_key:
              type: string
            secret_key:
              type: string
              description: Returned once. Not stored for API-issued wallets.
        message:
          type: string
    Network:
      type: string
      enum:
        - solana
        - evm
        - ethereum
        - sepolia
        - base
        - polygon
        - bsc
        - monad
        - sei
        - blast
        - sonic
        - linea
        - scroll
        - mantle
        - zora
        - optimism
        - arbitrum
        - avalanche
        - boba
        - metis
        - bera
        - celo
    ApiError:
      type: object
      required:
        - success
        - message
        - error
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
        error:
          type: string
        timestamp:
          type: string
          format: date-time
  responses:
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          examples:
            invalidApiKey:
              value:
                success: false
                message: Invalid api-key
                error: Unauthorized
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      x-default: ovl_your_api_key_here

````